% shaper            - Shaper convolution calculator
%
% drv = shaper(c, prm);
%
% Arguments:
%  c    - FIR coefficients, 3 long
%  prm  - Impulse response, time scales
%
% Outputs:
%  drv  - Overall response (linear scale)

%
% Copyright (c) 2013 Dimtel, Inc., All Rights Reserved
%
% $Id$
% $Date$
% $Author$
% $Revision$
% $Log$

function drv = shaper(c, prm);

N = length(prm.impresp);
drv = zeros(N+2*prm.Npb, 1);
drv(1:N) = c(1)*prm.impresp;
drv(prm.Npb+(1:N)) = drv(prm.Npb+(1:N)) + c(2)*prm.impresp;
drv(2*prm.Npb+1:end) = drv(2*prm.Npb+1:end) + c(3)*prm.impresp;
